# $Revision: 1.13 $, $Date: 2010/04/20 17:43:05 $

%bcond_with	jms	# build output jms classes

%include	/usr/lib/rpm/macros.java

%define		srcname	avalon-logkit

Summary:	Java logging toolkit
Summary(pl.UTF-8):	Biblioteka do logowania w Javie
Name:		java-avalon-logkit
Version:	1.2
Release:	2
License:	Apache v1.1
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/avalon/logkit/LogKit-%{version}-src.tar.gz
# Source0-md5:	17ede0a7d297ad610b47c476757c2b96
Patch0:		%{name}-build.patch
Patch1:		%{name}-javadoc.patch
Patch2:		%{name}-java16.patch
URL:		http://avalon.apache.org/logkit/
BuildRequires:	ant
BuildRequires:	glibc-localedb-all
BuildRequires:	java(javamail)
BuildRequires:	java(jdbc-stdext)
BuildRequires:	java(servlet)
BuildRequires:	java-junit
BuildRequires:	java-log4j
BuildRequires:	jdk
%{?with_jms:BuildRequires:	jms}
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	java(jdbc-stdext)
Requires:	java(servlet)
%{?with_jms:Requires:	jms}
Obsoletes:	avalon-logkit
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LogKit is a logging toolkit designed for secure performance orientated
logging in applications. To get started using LogKit, it is recomended
that you read the whitepaper and browse the API docs.

%description -l pl.UTF-8
LogKit to biblioteka do logowania zaprojektowana z myślą o
bezpiecznym, wydajnym logowaniu w aplikacjach. Zaleca się zacząć
używanie LogKitu od przeczytania specyfikacji i przejrzenia
dokumentacji API.

%package javadoc
Summary:	Javadoc for Avalon LogKit
Summary(pl.UTF-8):	Dokumentacja Javadoc do pakietu Avalon LogKit
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	avalon-logkit-javadoc

%description javadoc
Javadoc for Avalon LogKit.

%description javadoc -l pl.UTF-8
Dokumentacja Javadoc do pakietu Avalon LogKit.

%prep
%setup -q -n LogKit-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
required_jars="log4j mail %{?with_jms:jms} servlet-api jdbc-stdext junit"
PWD=$(pwd)
CLASSPATH=$(build-classpath $required_jars) #:$PWD/build/classes

export LC_ALL=en_US # source code not US-ASCII

%ant clean jar javadocs

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d $RPM_BUILD_ROOT%{_javadir}
cp -a build/lib/logkit.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc KEYS LICENSE
%{_javadir}/%{srcname}.jar
%{_javadir}/%{srcname}-%{version}.jar

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-avalon-logkit.spec,v $
Revision 1.13  2010/04/20 17:43:05  pawelz
- updated java deps

Revision 1.12  2010/04/18 13:47:10  pawelz
- jdbc-stdext -> java(jdbc-stdext)

Revision 1.11  2010/04/17 21:14:26  pawelz
- s/jdbc-stdext/java(jdbc-stdext)/

Revision 1.10  2010/04/17 21:02:38  pawelz
- no longer need to force gcj for th

Revision 1.9  2010/04/03 18:03:18  pawelz
- dropped BR: jdk

Revision 1.8  2010/04/03 17:31:45  pawelz
- renamed from avalon-logkit
- unified
- don't build jms part, as we have no jms implementation packaged

Revision 1.7  2008/10/23 17:55:38  pawelz
- added patch that allows to build with java 1.6

Revision 1.6  2008/02/09 21:00:47  qboosh
- unified License format

Revision 1.5  2008-01-05 17:34:14  qboosh
- pl

Revision 1.4  2007-12-02 17:00:38  glen
- add javadoc link

Revision 1.3  2007-12-02 13:49:56  glen
- builds with jdk 1.5 (just -target/-source won't do)

Revision 1.2  2007-12-02 13:44:05  glen
- -javadoc patch from fc

Revision 1.1  2007-12-02 13:33:02  glen
- new; based on jpackage
